node {
  def mvnHome

  stage('preparation') {
    mvnHome = tool 'Maven 3.0.4'
    checkout scm
    env.JAVA_HOME="/usr/lib/jvm/java-1.8.0-openjdk-amd64"
    env.PATH="${env.JAVA_HOME}/bin:${env.PATH}"
  }

  stage('deploy') {
    //if (env.BRANCH_NAME == 'develop' || env.BRANCH_NAME.startsWith('release/')) {
    if (env.BRANCH_NAME == 'develop') {
      echo "deploying to nexus - branch is ${env.BRANCH_NAME}"
      sh "${mvnHome}/bin/mvn -f ./parent/pom.xml -U clean verify deploy"
    } else {
      echo "not deploying to nexus - branch is ${env.BRANCH_NAME}"
      sh "${mvnHome}/bin/mvn -f ./parent/pom.xml -U clean verify "
    }
  }

}
